mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

The native calling convention is the set of rules governing the order and layout of arguments passed to compiled methods. It also governs how to pass the return value, what registers to use for arguments, and whether the called or the calling method removes arguments from the stack.

Defines the valid calling conventions for a method.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.CallingConventions To be added

  Specifies that either the Standard or the VarArgs calling convention may be used.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.CallingConventions To be added

  Specifies that the signature is a function-pointer signature, representing a call to an instance or virtual method (not a static method). If ExplicitThis is set, HasThis must also be set. The first argument passed to the called method is still a this pointer, but the type of the first argument is now unknown. Therefore, a token that describes the type (or class) of the this pointer is explicitly stored into its metadata signature.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.CallingConventions To be added

  Specifies an instance or virtual method (not a static method). At run-time, the called method is passed a pointer to the target object as its first argument (the this pointer). The signature stored in metadata does not include the type of this first argument, because the method is known and its owner class can be discovered from metadata.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.CallingConventions To be added

  Specifies the default calling convention as determined by the common language runtime. Use this calling convention for static methods. For instance or virtual methods use HasThis.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.CallingConventions To be added

  Specifies the calling convention for methods with variable arguments.